Name:           audio-entropyd
Version:        1.0.1
Release:        2%{?dist}
License:        GPLv2
Group:          System Environment/Daemons
Summary:        Generate entropy from audio output
URL:            http://www.vanheusden.com/aed/
Source0:        http://www.vanheusden.com/aed/audio-entropyd-%{version}.tgz
Source1:        audio-entropyd
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post):   chkconfig
Requires(preun):  chkconfig, initscripts
Requires(postun): initscripts

%description
Audio-entropyd generates entropy-data for the /dev/random device.

%prep
%setup -q

%build
make OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m0755 audio-entropyd $RPM_BUILD_ROOT%{_sbindir}
mkdir -p $RPM_BUILD_ROOT%{_initrddir}
install -m0755 %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add audio-entropyd

%preun
if [ "$1" -eq "0" ]; then
  /sbin/service audio-entropyd stop >/dev/null 2>&1
  /sbin/chkconfig --del audio-entropyd
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/service audio-entropyd condrestart >/dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%doc COPYING README README.2 TODO
%{_initrddir}/audio-entropyd
%{_sbindir}/audio-entropyd

%changelog
* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.1-2
- Autorebuild for GCC 4.3

* Tue Feb 19 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.1-1
- update to 1.0.1

* Thu Aug 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-5
- rebuild for BuildID

* Thu Aug  2 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-4
- selinux policy not needed

* Mon Jun 11 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-3
- add selinux policy (bugzilla 243453)

* Tue Jun  5 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-2
- add condrestart to postun

* Tue May 15 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.0.0-1
- initial package for Fedora Extras
